## Package Win32::GUI::Toolbar

Back to the Packages

- Constructor

  - new Win32::GUI::Toolbar(PARENT, %OPTIONS)

- Methods

  - AddBitmap(BITMAP, NUMBUTTONS)

  - AddButtons(NUMBER, ...)

  - AddString(STRING)

  - AutoSize()

  - ButtonCount()

  - Indent(VALUE)

  - MaxSize()

  - Padding([X], [Y])

  - SetBitmapSize([X, Y])

- Events

  - ButtonClick(INDEX)

### Constructor

new Win32::GUI::Toolbar(PARENT, %OPTIONS)

  Creates a new Toolbar object; can also be called as PARENT->AddToolbar(%OPTIONS). Class specific `%OPTIONS` are:

        -flat      => 0/1
        -imagelist => IMAGELIST
        -multiline => 0/1
        -nodivider => 0/1

### Methods

AddBitmap(BITMAP, NUMBUTTONS)

  [TBD]

AddButtons(NUMBER, ...)

  [TBD]

AddString(STRING)

  [TBD]

AutoSize()

  causes the toolbar to be resized

ButtonCount()

  returns the number of buttons in the toolbar

Indent(VALUE)

  sets the indentation value for the toolbar

MaxSize()

  returns the total size of all the visible buttons and separators in the toolbar (or undef on errors)

Padding([X], [Y])

  gets or sets the padding for the toolbar; if no value is passed, returns a list containing the current x and y padding value, in pixels.

SetBitmapSize([X, Y])

  [TBD]

### Events

ButtonClick(INDEX)

  Sent when the user presses a button of the Toolbar the INDEX argument identifies the zero-based index of the pressed button